### Method

# Gio TlsConnection get_ciphersuite_name

since: 2.70

#### Declaration

    gchar*
    g_tls_connection_get_ciphersuite_name (
      GTlsConnection* conn
    )

#### Description

Returns the name of the current TLS ciphersuite, or `NULL` if the connection has not handshaked or has been closed. Beware that the TLS backend may use any of multiple different naming conventions, because OpenSSL and GnuTLS have their own ciphersuite naming conventions that are different from each other and different from the standard, IANA- registered ciphersuite names. The ciphersuite name is intended to be displayed to the user for informative purposes only, and parsing it is not recommended.

Available since: 2.70

Gets property | `Gio.TlsConnection:ciphersuite-name`

#### Return value

Type: `gchar*`

The name of the current TLS ciphersuite, or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.